> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/payments/endpoints/credit/credit-void.md).

# Credit Void

A void cancels a credit request that was submitted but not yet processed by the processor. A void request is declined when the credit request has already been sent to the processor

{% tabs %}
{% tab title="cUrl" %}
{% code fullWidth="true" %}

```json
POST /v1/payments/credits/:id/void

curl –X POST 'https://api.firstoken.co/v1/payments/credits/:id/void' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' \
--data '{
    "transaction_info": {
        "type": "credit_void",
        "reference_code": "123456789"
    },
    "device_info": {
        "ip_address": "12.7.8.120"
    }
}'
```

{% endcode %}
{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid credit identifier (transaction\_id) received in previous requests.
> {% endtab %}

{% tab title="Attributes of the response" %}
**status**: *string*\
The status is a string result that only has two possible values. "Success, “Error” or "Fail".

**message**: *string*\
The message value represents a short description about the status code.

**data**: *{object}*\
The value of the data represents a set of JSON objects with the transaction’s details:

> * **transaction\_info**: *{object}*\
>   The wrapper object of the transaction’s information. Contains:
>   * **type**: *string*\
>     The type of transaction response.
>   * **reference\_code**: *string*
>
>     A reference code for the transaction.
>   * **transaction\_id**: *string*
>
>     Our transaction identifier of the request. It is used in other requests.
>   * **request\_id**: *string*
>
>     The identifier of the request associated with the transaction.
>   * **status**: *string*
>
>     The status received of the transaction.
>   * **created\_at**: *ISO Date*
>
>     The ISO Date of the request
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

```json
{
    "status": "success",
    "message": "Credit void successful",
    "data": {
        "transaction_info": {
            "type": "credit_void_response",
            "reference_code": "123456789",
            "transaction_id": "0001709065158147487920",
            "request_id": "7090651594016805404951",
            "status": "Voided",
            "created_at": "2024-02-27T20:19:19Z"
        }
    }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/payments/endpoints/credit/credit-void.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
